#!/usr/bin/perl
use strict; 
use warnings;  
use LWP::Simple;
use JSON;
use FindBin;
use lib $FindBin::Bin;
use RBAC;
use Time::Piece;

sub createBackup {
    my $timeoutSeconds = 7200; 
    my $token = RBAC::login();
    my $ua = LWP::UserAgent->new;
    $ua->agent("$0/0.1");
    $ua->timeout( $timeoutSeconds );

    my $serviceSettingsData = ServiceUtil::getServiceSettingsData();
    my $url = $serviceSettingsData->{ServiceUrls}->{JobServiceUrl}."/database/backup";

    # Create a request
    my $req = HTTP::Request->new(POST => $url);
    $req->header("token"=>$token);
    $req->header("Content-Length"=>0);
    $req->header("Accept"=>"application/json");

    # Pass request to the user agent and get a response back
    my $res = $ua->request($req);

    if ($res->is_success){
        print("Create backup successful", "\n");
    } else {
        my $responseContent = JSON::decode_json($res->content);
        die($responseContent->{Result}->{_message}, "\n");
    }
}

createBackup;